commit 1434baad95a0ca9faa40c3e147cc7384b84fe056
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Jan 15 00:22:11 2025 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 50e680d4d80..97911f1bf79 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2025-01-14  Robin Dapp  <rdapp@ventanamicro.com>
+
+	Backported from master:
+	2025-01-14  Robin Dapp  <rdapp@ventanamicro.com>
+
+	PR middle-end/118140
+	* gimple-match-exports.cc (maybe_resimplify_conditional_op): Add
+	COND_EXPR when we simplified to a scalar gimple value but still
+	have an else value.
+
 2025-01-10  Tamar Christina  <tamar.christina@arm.com>
 
 	* config/aarch64/aarch64-cores.def (AARCH64_CORE): Fix cortex-x4 parts
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 0907fc0d8ad..956862fd33e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250114
+20250115
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f586d8198e0..9e626b0dddb 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-01-14  Robin Dapp  <rdapp@ventanamicro.com>
+
+	Backported from master:
+	2025-01-14  Robin Dapp  <rdapp@ventanamicro.com>
+
+	PR middle-end/118140
+	* gcc.dg/vect/pr118140.c: New test.
+	* gcc.target/riscv/rvv/autovec/pr118140.c: New test.
+
 2025-01-11  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	* g++.dg/modules/pr114630_a.C: Use -fmodules-ts instead of

